Skip to main content
PATCH
Update a ledger account

Authorizations

Authorization
string
header
required

OAuth2 access token or static API token. See Authorization for how to obtain one.

Path Parameters

id
string
required

Ledger account identifier

Body

application/x-www-form-urlencoded
administration_id
string
required

Administration identifier

code
string

Account code, unique within the administration

name
string

Account name, unique within the administration

Response

Ledger account

CustomerApi_V1_LedgerAccountEntity model

id
string
required

Unique identifier

code
string
required

Account code

name
string
required

Account name

account_type
enum<string>
required

Account type, which determines what Payt books on the account. Accounts of type revenue, recharges, deposit_payables can be added. An invoice line can book on an account of type revenue, recharges, deposit_payables, pre_payments.

Available options:
bank,
outgoing_payments,
cash,
pos_payments,
transfers_in_transit,
bookkeeping_settlements,
opening_balances,
customer_receivables,
deferred_receivables,
psp_receivables,
insurer_receivables,
accrued_revenue,
vat_receivables,
supplier_payables,
deposit_payables,
vat_payables,
deferred_revenue,
pre_payments,
unmatched_payments,
revenue,
recharges,
administration_levies,
interest_levies,
debt_collection_levies,
interest_income,
written_off_credits,
payment_difference_gains,
rounding_difference_gains,
exchange_gains,
collection_fees,
psp_costs,
bank_costs,
interest_expenses,
bad_debt,
payment_difference_losses,
rounding_difference_losses,
exchange_losses
is_default
boolean
required

Whether this is the standard account of its type, which Payt books on unless an invoice line names another account

enabled
boolean
required

Whether new invoice lines can choose this account